import request from '../utils/requestErp.js'

/**
 * 账号密码登录
 * @param {JSON参数} data 
 */
export function loginByUnionId(data) {
    return request({
        url: '/AppletLogin/LoginByUnionId',
        method: 'post',
        data
    })
}
export function getSudentsByClassInAccount(data) {
    return request({
        url: '/AppletLogin/GetStudentsByClassInAccount',
        method: 'post',
        data
    })
}
export function setStudentClassInAccount(data) {
    return request({
        url: '/AppletCenter/SetStudentClassInAccount',
        method: 'post',
        data
    })
}

/**
 * 获取课表信息
 * @param {JSON参数} data 
 */
 export function getStundentPlanStatistical(data) {
    return request({
        url: '/AppletIndex/GetStundentPlanStatistical',
        method: 'post',
        data
    })
}

// /**
//  * 获取预约课程
//  * @param {JSON参数} data 
//  */
//  export function RemovePlanAppointment(data) {
//     return request({
//         url: '/LeaveStudent/RemovePlanAppointment',
//         method: 'post',
//         data
//     })
// }

// /**
//  * 获取预约课程列表
//  * @param {JSON参数} data 
//  */
//  export function GetStuPlanAppointment(data) {
//     return request({
//         url: '/LeaveStudent/GetStuPlanAppointment',
//         method: 'post',
//         data
//     })
// }

// /**
//  * 获取可预约课程时间范围
//  * @param {JSON参数} data 
//  */
//  export function GetPlanTime(data) {
//     return request({
//         url: '/LeaveStudent/GetPlanTime',
//         method: 'post',
//         data
//     })
// }

// /**
//  * 提交预约课程
//  * @param {JSON参数} data 
//  */
//  export function SetPlanAppointment(data) {
//     return request({
//         url: '/LeaveStudent/SetPlanAppointment',
//         method: 'post',
//         data
//     })
// }

/**
 * 获取个人信息接口
 * @param {JSON参数} data 
 */
 export function GetMyCenterInfo(data) {
    return request({
        url: '/AppletCenter/GetMyCenterInfo',
        method: 'post',
        data
    })
}

// 获取课程信息
export function GetMyAppointPageList(data) {
    return request({
        url: '/AppletCenter/GetMyAppointPageList',
        method: 'post',
        data
    })
}

/**
 * 订单列表接口
 * @param {JSON参数} data 
 */ 
export function GetOrderPage(data) {
    return request({
        url: '/AppletIndex/GetOrderPage',
        method: 'post',
        data
    })
}

/**
 * 获取我的电子合同
 * @param {JSON参数} data 
 */
 export function getContract(data) {
    return request({
        url: '/AppletIndex/GetContractList',
        method: 'post',
        data
    })
}

/**
 * 新增修改"我的孩子"
 * @param {JSON参数} data 
 */
 export function SetMyChild(data) {
    return request({
        url: '/AppletCenter/SetMyChild',
        method: 'post',
        data
    })
}

/**
 * 进入亲友团
 * @param {JSON参数} data 
 */
 export function SetFriend(data) {
    return request({
        url: '/AppletCenter/SetFriend',
        method: 'post',
        data
    })
}

/**
 * 获取“我的孩子”列表
 * @param {JSON参数} data 
 */
 export function MyChildList(data) {
    return request({
        url: '/AppletCenter/MyChildList',
        method: 'post',
        data
    })
}

/**
 * 获取需要添加孩子的信息
 * @param {JSON参数} data 
 */
 export function GetStudentPageList(data) {
    return request({
        url: '/AppletCenter/GetStudentPageList',//'/User/GetStudentPageList'
        method: 'post',
        data
    })
}

/**
 * 获取我的亲友
 * @param {JSON参数} data 
 */
 export function GetFriend(data) {
    return request({
        url: '/AppletCenter/GetFriend',
        method: 'post',
        data
    })
}

/**
 * 根据编号删除“亲友团”
 * @param {JSON参数} data 
 */
 export function RemoveMyChild(data) {
    return request({
        url: '/AppletCenter/RemoveMyChild',
        method: 'post',
        data
    })
}

/**
 * 获取面对面邀请码
 * @param {JSON参数} data 
 */
 export function CreateFriendQrCode(data) {
    return request({
        url: '/AppletCenter/CreateFriendQrCode',
        method: 'post',
        data
    })
}

/**
 * 获取用户二维码码
 * @param {JSON参数} data 
 */
 export function CreateTeacherCode(data) {
    return request({
        url: '/AppletCenter/CreateTeacherCode',
        method: 'post',
        data
    })
}